Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.farafin.snEADy.control.GaphixStuff
Class GrScroll

    java.lang.Object
      java.awt.Component
          java.awt.Canvas
              de.farafin.snEADy.control.GaphixStuff.GrScroll

All Implemented Interfaces:
  I_GraphixConstants, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible

    public class GrScroll

extends java.awt.Canvas
implements I_GraphixConstants

Author:
  larsonmars TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.awt.Canvas
`java.awt.Canvas.AccessibleAWTCanvas`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected int` | `dMover`
`protected int` | `dy_bar`
`protected int` | `h`
`protected java.awt.image.BufferedImage` | `img_scroll`
`protected int` | `max`
`protected float` | `pos`
`protected int` | `range`
`private int` | `SCROLL_BAR`
`private int` | `SCROLL_DOWN`
`private int` | `SCROLL_NONE`
`private int` | `SCROLL_UP`
`protected GrTextArea` | `selectC`
`protected int` | `sState`
`protected int` | `w`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface de.farafin.snEADy.control.GaphixStuff.I_GraphixConstants
`ALLIG_LEFT, ALLIG_RIGHT, AREA_INFOARENA, AREA_INFOPLAYER, AREA_INFOREPLAY, AREA_LOADEDREPLAY, ARENAMAXSIZE, BUTT_ADDCPLAYER, BUTT_ADDHPLAYER, BUTT_ARENA, BUTT_ARENAOK, BUTT_CREDITS, BUTT_EJECTREPLAY, BUTT_LOADARENA, BUTT_LOADREPLAY, BUTT_MIN, BUTT_OPTIONS, BUTT_PLAYER, BUTT_PLOK, BUTT_QUIT, BUTT_REPLAY, BUTT_REPLAYOK, BUTT_RMPLAYER01, BUTT_RMPLAYER02, BUTT_RMPLAYER03, BUTT_RMPLAYER04, BUTT_RMPLAYER05, BUTT_RMPLAYER06, BUTT_RMPLAYER07, BUTT_RMPLAYER08, BUTT_RMPLAYER09, BUTT_RMPLAYER10, BUTT_RUN, BUTT_STOP, C_END, C_EXIT, C_EXITO, C_FLOOR, C_GOODY_E, C_GOODY_LENGTH, C_GOODY_POINTS, C_GOODY_S, C_GOODY_SPEED, C_NOTHING, C_PLAYER_E, C_PLAYER_S, C_PLAYER01, C_PLAYER02, C_PLAYER03, C_PLAYER04, C_PLAYER05, C_PLAYER06, C_PLAYER07, C_PLAYER08, C_PLAYER09, C_PLAYER10, C_PLAYERH_E, C_PLAYERH_S, C_PLAYERH01, C_PLAYERH02, C_PLAYERH03, C_PLAYERH04, C_PLAYERH05, C_PLAYERH06, C_PLAYERH07, C_PLAYERH08, C_PLAYERH09, C_PLAYERH10, C_UNKNOWN, C_WALL, C_WALL_E, C_WALL_S, C_WALLCORNER_E, C_WALLCORNER_N, C_WALLCORNER_NE_CC, C_WALLCORNER_NE_CV, C_WALLCORNER_NW_CC, C_WALLCORNER_NW_CV, C_WALLCORNER_S, C_WALLCORNER_SE_CC, C_WALLCORNER_SE_CV, C_WALLCORNER_SW_CC, C_WALLCORNER_SW_CV, C_WALLCORNER_W, COL_SCROLLBAR, COL_TEXTBGHIGHLIGHTED, COL_TEXTBGNORMAL, dir_arena, dir_pics, dir_player, dir_replay, EXITTIME, F_GREEN, F_INACTIVE, F_MARKED, F_NORMAL, F_RED, FIELDELEMSIZE, GAMETIME, humanPlayerKeyD, humanPlayerKeyL, humanPlayerKeyR, humanPlayerKeyU, M_BG, M_BUTTARENA, M_BUTTCREDITS, M_BUTTMIN, M_BUTTOPTIONS, M_BUTTPLAYER, M_BUTTQUIT, M_BUTTREPLAY, M_BUTTRMPLAYER, M_BUTTRUN, M_BUTTSTOP, M_FONTSERP8X14, M_TABCLOSE, M_TABOPEN, M_TEXTAREA, M_TGLBUTT, M_VOLATILE_END, MAXFRAMECOUNT, MONITOR, PLAYERTAB01, PLAYERTAB02, PLAYERTAB03, PLAYERTAB04, PLAYERTAB05, PLAYERTAB06, PLAYERTAB07, PLAYERTAB08, PLAYERTAB09, PLAYERTAB10, S_ARENABG, S_BUTTADD, S_BUTTEJECT, S_BUTTLOAD, S_BUTTMIN, S_BUTTOK, S_BUTTQUIT, S_OPTIONSBG, S_PLAYERBG, S_REPLAYBG, S_VSCROLL, S_VSCROLLBUTT, SCROLL_ARENA, SCROLL_PLAYER, SCROLL_REPLAY, SEL_ARENA, SEL_PLAYER, SEL_REPLAY, SKINSTUFFEND, SUDDENDTIME, TEXT_AGROW, TEXT_ASLOWD, TEXT_EXITT, TEXT_HPLAYERNAME, TEXT_IDELAY, TEXT_ILENGTH, TEXT_MAXDELAY, TEXT_MAXMEM, TEXT_MAXTIME, TEXT_MINCYCLEMS, TEXT_PLENGTH, TEXT_PPOINTS, TEXT_PSLOWD, TEXT_PSPEED, TEXT_RECORDNAME, TEXT_REPLAYMINCYCLEMS, TEXT_STEPRANGE, TEXT_SUDDENDT, TGL_AUTOGAMESPEED, TGL_CONTROLPLAYER, TGL_DEBUGMON, TGL_LOG, TGL_MEMKILL, TGL_PPMEM, TGL_PPTIME, TGL_RECORD, TGL_REVERSED, TGL_SHOWSC, TGL_STEP, TGL_TIMEKILL, UIGRAPHIX_END`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`protected` | `GrScroll(int x, int y, int height, GrSelCanvas selC)`

Method Summary
`protected void` | `drawScroll()`
`protected int` | `getMoverAbsHeight()`
`protected int` | `getMoverAbsPos()`
`void` | `paint(java.awt.Graphics g)`
`void` | `repaint()`

Methods inherited from class java.awt.Canvas
`addNotify, createBufferStrategy, createBufferStrategy, getAccessibleContext, getBufferStrategy, update`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, deliverEvent, disable, disableEvents, dispatchEvent, doLayout, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getColorModel, getComponentAt, getComponentAt, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeys, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, invalidate, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusCycleRoot, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, layout, list, list, list, list, list, locate, location, lostFocus, minimumSize, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, paramString, postEvent, preferredSize, prepareImage, prepareImage, print, printAll, processComponentEvent, processEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeys, setFocusTraversalKeysEnabled, setFont, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SCROLL_NONE

    private final int SCROLL_NONE

See Also:
  Constant Field Values

### SCROLL_UP

    private final int SCROLL_UP

See Also:
  Constant Field Values

### SCROLL_DOWN

    private final int SCROLL_DOWN

See Also:
  Constant Field Values

### SCROLL_BAR

    private final int SCROLL_BAR

See Also:
  Constant Field Values

### sState

    protected int sState

### w

    protected int w

### h

    protected int h

### max

    protected int max

### range

    protected int range

### pos

    protected float pos

### dy_bar

    protected int dy_bar

### dMover

    protected int dMover

### selectC

    protected GrTextArea selectC

### img_scroll

    protected java.awt.image.BufferedImage img_scroll

Constructor Detail

### GrScroll

    protected GrScroll(int x,
                       int y,
                       int height,
                       GrSelCanvas selC)

Method Detail

### getMoverAbsPos

    protected final int getMoverAbsPos()

### getMoverAbsHeight

    protected final int getMoverAbsHeight()

### drawScroll

    protected void drawScroll()

### paint

    public void paint(java.awt.Graphics g)

  Overrides:
    `paint` in class `java.awt.Canvas`

### repaint

    public void repaint()

  Overrides:
    `repaint` in class `java.awt.Component`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD